%global archivename crosextrafonts-carlito-20130920

Summary:        Carlito, a sans-serif font family metric-compatible with Calibri font family
Name:           google-carlito-fonts
Version:        1.103
Release:        6%{?dist}
License:        OFL
URL:            https://bugs.chromium.org/p/chromium/issues/detail?id=280557
Source0:        https://commondatastorage.googleapis.com/chromeos-localmirror/distfiles/%{archivename}.tar.gz
Source1:        30-0-google-carlito-fonts.conf
Source2:        62-google-carlito-fonts.conf
Source3:        google-carlito-fonts.metainfo.xml

BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Provides:       google-carlito-fonts = %{version}-%{release}
Provides:       google-crosextra-carlito-fonts = %{version}-%{release}

BuildArch:      noarch

%description
Carlito is metric-compatible with Calibri font family. Carlito comes in regular,
bold, italic, and bold italic. The family covers Latin-Greek-Cyrillic (not a
complete set, though) with about 2,000 glyphs. It has the same character
coverage as Calibri. This font is sans-serif typeface family based on Lato.


%prep
%autosetup -n %{archivename}

%install
install -m 0755 -d %{buildroot}%{_datadir}/fonts/%{name}
install -m 0644 -p *.ttf %{buildroot}%{_datadir}/fonts/%{name}
install -m 0755 -d %{buildroot}%{_datadir}/fontconfig/conf.avail %{buildroot}%{_sysconfdir}/fonts/conf.d
install -m 0644 -p %{SOURCE1} %{buildroot}%{_datadir}/fontconfig/conf.avail/30-0-google-carlito-fonts.conf
ln -s %{_datadir}/fontconfig/conf.avail/30-0-google-carlito-fonts.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/30-0-google-carlito-fonts.conf
install -m 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/fontconfig/conf.avail/62-google-carlito-fonts.conf
ln -s %{_datadir}/fontconfig/conf.avail/62-google-carlito-fonts.conf %{buildroot}%{_sysconfdir}/fonts/conf.d/62-google-carlito-fonts.conf
install -Dm 0644 -p %{SOURCE3} %{buildroot}%{_datadir}/metainfo/google-carlito-fonts.metainfo.xml


%files
%license LICENSE
%{_datadir}/metainfo/google-carlito-fonts.metainfo.xml
%{_datadir}/fontconfig/conf.avail/30-0-google-carlito-fonts.conf
%{_datadir}/fontconfig/conf.avail/62-google-carlito-fonts.conf
%config(noreplace) %{_sysconfdir}/fonts/conf.d/30-0-google-carlito-fonts.conf
%config(noreplace) %{_sysconfdir}/fonts/conf.d/62-google-carlito-fonts.conf
%dir %{_datadir}/fonts/google-carlito-fonts
%{_datadir}/fonts/google-carlito-fonts/Carlito-Bold.ttf
%{_datadir}/fonts/google-carlito-fonts/Carlito-BoldItalic.ttf
%{_datadir}/fonts/google-carlito-fonts/Carlito-Italic.ttf
%{_datadir}/fonts/google-carlito-fonts/Carlito-Regular.ttf

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.103-6
- Rebuilt for loongarch release

* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 1.103-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.103-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.103-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.103-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 02 2022 Miaojun Dong <zoedong@tencent.com> - 1.103-1
- Initial build
